/* ========================================================================= *
 * BubbleSort
 * Implementation of the BubbleSort algorithm.
 * ========================================================================= */

#include <stddef.h>
#include <stdlib.h>

#include "SortArray.h"

void sortArray(int* array, size_t length)
{
    // Nothing to do
    if (!array)
        return;

    int tmp;
    // Sort
    for (size_t i = 0; i < length; i++)
    {
        for (size_t j = i; j < length; j++)
        {
            if (array[i] > array[j])
            {
                // Swap array[i] and array[j]
                tmp = array[i];
                array[i] = array[j];
                array[j] = tmp;
            }
        }
    }
}



